Page MenuHomePhabricator

Convert Special:ListUsers autocompletion to use OOUI (Widget or HTMLForm)
Closed, ResolvedPublic

Description

With T105569: Special:ListUser's "Display users starting at" field should support autocompletion, Special:ListUsers uses mediawiki.usersuggest to autocomplete the user input field. That should be converted to OOUI to build this form and use the [[ https://github.com/wikimedia/mediawiki/blob/a2f75a52efe316d5fea1b5faf9cb094638b6adaf/includes/widget/UserInputWidget.php | UserInputWidget ]], an example usage is in [[ https://github.com/wikimedia/mediawiki/blob/master/includes/htmlform/HTMLUserTextField.php | HTMLUserTextField ]] for HTMLForm (maybe you can manage to use HTMLForm?). Using mediawiki.userSuggest in a new change feels false.

BeforeAfter

Details

Related Gerrit Patches:

Event Timeline

Florian created this task.Sep 9 2015, 8:15 PM
Florian raised the priority of this task from to Needs Triage.
Florian updated the task description. (Show Details)
Florian added subscribers: Florian, Legoktm, Rillke and 5 others.

Change 237958 had a related patch set uploaded (by Florianschmidtwelzow):
WIP: Add new UserListInputWidget to MediaWiki widgets

https://gerrit.wikimedia.org/r/237958

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 6 2015, 2:36 PM
Liuxinyu970226 set Security to None.Nov 6 2015, 2:38 PM

Change 237958 abandoned by Florianschmidtwelzow:
WIP: Add new UserListInputWidget to MediaWiki widgets

https://gerrit.wikimedia.org/r/237958

Change 237958 restored by Florianschmidtwelzow:
WIP: Add new UserListInputWidget to MediaWiki widgets

Reason:
hmm, naja... :( ... ... ok :D

https://gerrit.wikimedia.org/r/237958

Change 362872 had a related patch set uploaded (by Prtksxna; owner: Prtksxna):
[mediawiki/core@master] [wip] Special:ListUsers: Use HTMLForm and OOUI

https://gerrit.wikimedia.org/r/362872

Prtksxna claimed this task.Jul 10 2017, 7:44 AM
matmarex closed this task as Resolved.Jul 13 2017, 6:19 PM
matmarex removed a project: Patch-For-Review.

Change 362872 merged by jenkins-bot:
[mediawiki/core@master] Special:ListUsers: Use HTMLForm and OOUI

https://gerrit.wikimedia.org/r/362872

@Prtksxna Please add a before/after screenshot table to the task description.

BeforeAfter
Volker_E updated the task description. (Show Details)Jul 17 2017, 2:32 PM

Besides putting the checkboxes here in a HorizontalLayout (T170804) I see three more options to optimize this in vertical space:

  • Roll-out of 14px base in T97631
  • Using equal to 12px instead of the .oo-ui-fieldLayout's 1.25em right now
  • Making “User list” legend visible only to screenreaders

For reference, current look, after T97631 and some related whitespace changes: